* PACKAGE ASAVB (t-Δt)のデータをセーブ
*
*"  [HIS] 92/09/08(takepiro)
*
*
************************************************************************
      SUBROUTINE SAVEGB      !" (t-Δt)のデータをセーブ
     I         ( GBU   , GBV   , GBW   , GBT   , 
     I           GBTOR , GBPOR                    )
*
#ifdef SYS_IBMS
      INCLUDE   (ZCDIM)                      !" 格子点数, 波数
#else
#include        "zcdim.F"                    !" 格子点数, 波数
#endif
*
      REAL       GBU   ( IDIM*JDIM*KMAX )    !" 西風   ｕ(t-Δt)
      REAL       GBV   ( IDIM*JDIM*KMAX )    !" 南風   ｖ(t-Δt)
      REAL       GBW   ( IDIM*JDIM*KMAX )    !" 鉛直風 ｗ(t-Δt)
      REAL       GBT   ( IDIM*JDIM*KMAX )    !" 温度   Ｔ(t-Δt)
      REAL       GBTOR ( IDIM*JDIM*KMAX )    !" トロイダル Ψ
      REAL       GBPOR ( IDIM*JDIM*KMAX )    !" ポロイダル Φ
*
      REAL       GBBU  ( IDIM*JDIM*KMAX )    !" 西風   ｕ セーブ値
      REAL       GBBV  ( IDIM*JDIM*KMAX )    !" 南風   ｖ セーブ値
      REAL       GBBW  ( IDIM*JDIM*KMAX )    !" 鉛直風 ｗ セーブ値
      REAL       GBBT  ( IDIM*JDIM*KMAX )    !" 温度   Ｔ セーブ値
      REAL       GBBTOR( IDIM*JDIM*KMAX )    !" トロイダル Ψ セーブ値
      REAL       GBBPOR( IDIM*JDIM*KMAX )    !" ポロイダル Φ セーブ値
*
      CALL COPY ( GBBU  , GBU   , IDIM*JDIM*KMAX )
      CALL COPY ( GBBV  , GBV   , IDIM*JDIM*KMAX )
      CALL COPY ( GBBW  , GBW   , IDIM*JDIM*KMAX )
      CALL COPY ( GBBT  , GBT   , IDIM*JDIM*KMAX )
      CALL COPY ( GBBTOR, GBTOR , IDIM*JDIM*KMAX )
      CALL COPY ( GBBPOR, GBPOR , IDIM*JDIM*KMAX )
*
      RETURN
*======================================================================
      ENTRY      LOADGB       !"  (t-Δt)のデータをロード 
     O         ( GBU   , GBV   , GBW   , GBT   , 
     O           GBTOR , GBPOR                           )
*
      CALL COPY ( GBU   , GBBU  , IDIM*JDIM*KMAX )
      CALL COPY ( GBV   , GBBV  , IDIM*JDIM*KMAX )
      CALL COPY ( GBW   , GBBW  , IDIM*JDIM*KMAX )
      CALL COPY ( GBT   , GBBT  , IDIM*JDIM*KMAX )
      CALL COPY ( GBTOR , GBBTOR, IDIM*JDIM*KMAX )
      CALL COPY ( GBPOR , GBBPOR, IDIM*JDIM*KMAX )
*
      RETURN
      END
